aboutsummaryrefslogtreecommitdiffstats
path: root/testing/geocode-glib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-11-03 08:42:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-03 08:53:46 +0000
commit2a784970e67ecd337e3dce92fe7d6f61e5a7d366 (patch)
tree68da191ca2c122bc47f172e875790d21e09c7d66 /testing/geocode-glib/APKBUILD
parent27575032190ba19e5074f3ad69f58fbe2267d1d8 (diff)
downloadaports-2a784970e67ecd337e3dce92fe7d6f61e5a7d366.tar.gz
aports-2a784970e67ecd337e3dce92fe7d6f61e5a7d366.tar.bz2
aports-2a784970e67ecd337e3dce92fe7d6f61e5a7d366.tar.xz
testing/geocode-glib: new aport
Geocoding helper library http://www.gnome.org/
Diffstat (limited to 'testing/geocode-glib/APKBUILD')
-rw-r--r--testing/geocode-glib/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/geocode-glib/APKBUILD b/testing/geocode-glib/APKBUILD
new file mode 100644
index 0000000000..9b9799b9ea
--- /dev/null
+++ b/testing/geocode-glib/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=geocode-glib
+pkgver=3.18.0
+pkgrel=0
+pkgdesc="Geocoding helper library"
+url="http://www.gnome.org/"
+arch="all"
+license="LGPLv2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev glib-dev gobject-introspection-dev intltool
+ json-glib-dev libsoup-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download.gnome.org/sources/geocode-glib/3.18/geocode-glib-$pkgver.tar.xz"
+
+_builddir="$srcdir"/geocode-glib-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a39cbc80c4a55c223abf9bcf67e0285e geocode-glib-3.18.0.tar.xz"
+sha256sums="8fb7f0d569e3e6696aaa1fdf275cb3094527ec5e9fa36fd88dd633dfec63495d geocode-glib-3.18.0.tar.xz"
+sha512sums="fed8eacc3a347f998466faba0f45e99182c1fe1201caff963846db74daa1106360419e46a5b196207de97ffbc7397d751a6109d1d28b32211ddc7ccfe268b2ea geocode-glib-3.18.0.tar.xz"